import subprocess

from distutils.core import setup
from distutils.command.sdist import sdist


class SignedSDistCommand(sdist):
    """Sign the source archive with a detached signature."""

    description = "Sign the source archive after it is generated."

    def run(self):
        sdist.run(self)
        gpg_args = [
            'gpg', '--armor', '--sign', '--detach-sig', self.archive_files[0]]
        gpg = subprocess.Popen(
            gpg_args, stdout=subprocess.PIPE, stderr=subprocess.PIPE)
        gpg.communicate()

setup(
    name="html5browser",
    description="A HTML5 browser that can be driven by python code.",
    version="0.0.9",
    maintainer="Curtis C. Hovey",
    maintainer_email="sinzui.is@verizon.net",
    url="https://launchpad.net/html5-browser",
    packages=[
        'html5browser'],
    package_dir={
        'html5browser': 'html5browser'},
    scripts=['scripts/h5tester'],
    cmdclass={
        'signed_sdist': SignedSDistCommand,
        },
    )
